Bug 322785 - mobile version: Routing dialog gets unreadable with many way points
Summary: mobile version: Routing dialog gets unreadable with many way points
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-24 20:00 UTC by tomj
Modified: 2013-09-02 19:22 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tomj 2013-07-24 20:00:03 UTC
Hi,

the routing dialog gets more and more unreadable the more way points you add.
The dialog tries to shrink the font size to fit more way points on the screen.

We really should make this dialog scrollable instead of shrinking everything
till it is unreabable / unclickable.

Cheers,
Thomas


Reproducible: Always

Steps to Reproduce:
1. Add about 8 way points on the N900
2. Try to click the icons if you still can.
Comment 1 Bernhard Beschow 2013-08-27 15:34:24 UTC
Git commit aa76f5682521b6d0d0a80bdd4c378108a8f5a6da by Bernhard Beschow.
Committed on 08/08/2013 at 21:51.
Pushed by beschow into branch 'master'.

make RoutingWidget resizable within the QScrollArea

* fixes routing dialog getting unreadable with many way points

M  +1    -0    src/marble-mobile/MobileMainWindow.cpp

http://commits.kde.org/marble/aa76f5682521b6d0d0a80bdd4c378108a8f5a6da
Comment 2 Bernhard Beschow 2013-08-29 14:08:28 UTC
Git commit 42b2fd4b60dd911a8bec6ff47bbaf6f7e928b97d by Bernhard Beschow.
Committed on 08/08/2013 at 21:51.
Pushed by beschow into branch 'KDE/4.11'.

make RoutingWidget resizable within the QScrollArea

* fixes routing dialog getting unreadable with many way points
FIXED-IN: 4.11.1
(cherry picked from commit aa76f5682521b6d0d0a80bdd4c378108a8f5a6da)

M  +1    -0    src/QtMainWindow.cpp

http://commits.kde.org/marble/42b2fd4b60dd911a8bec6ff47bbaf6f7e928b97d
Comment 3 Bernhard Beschow 2013-09-02 19:22:09 UTC
Git commit bc48124128a160e2d3f780a9f2db6619e9d3af6a by Bernhard Beschow.
Committed on 08/08/2013 at 21:51.
Pushed by beschow into branch 'KDE/4.10'.

make RoutingWidget resizable within the QScrollArea

* fixes routing dialog getting unreadable with many way points
(cherry picked from commit aa76f5682521b6d0d0a80bdd4c378108a8f5a6da)

M  +1    -0    src/QtMainWindow.cpp

http://commits.kde.org/marble/bc48124128a160e2d3f780a9f2db6619e9d3af6a